# BaseRequest | xrpl
Documentation for xrpl

# Interface BaseRequest

#### Hierarchy

- BaseRequest
  - AccountChannelsRequest
  - AccountCurrenciesRequest
  - AccountInfoRequest
  - AccountLinesRequest
  - AccountNFTsRequest
  - AccountObjectsRequest
  - AccountOffersRequest
  - AccountTxRequest
  - GatewayBalancesRequest
  - NoRippleCheckRequest
  - LedgerRequest
  - LedgerClosedRequest
  - LedgerCurrentRequest
  - LedgerDataRequest
  - LedgerEntryRequest
  - SubmitRequest
  - SubmitMultisignedRequest
  - TransactionEntryRequest
  - TxRequest
  - BookOffersRequest
  - DepositAuthorizedRequest
  - RipplePathFindRequest
  - ChannelVerifyRequest
  - SubscribeRequest
  - UnsubscribeRequest
  - FeeRequest
  - ManifestRequest
  - ServerDefinitionsRequest
  - ServerInfoRequest
  - ServerStateRequest
  - PingRequest
  - RandomRequest
  - NFTBuyOffersRequest
  - NFTSellOffersRequest
  - NFTInfoRequest
  - NFTHistoryRequest
  - AMMInfoRequest

#### Indexable

[x: string]: unknown

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:5

#####
Index

### Properties

api_version?
command
id?

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### command

command: string

The name of the API method.

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

Generated using TypeDoc